from rest_framework import serializers

from api.serializers.event_comment import EventCommentSerializer
from api.services.generate_availability_contract import AvailabilityContractGenerator
from web.models import Event


class EventSerializer(serializers.ModelSerializer):

    comments = EventCommentSerializer(many=True)

    class Meta:
        model = Event
        fields = '__all__'

    def to_representation(self, instance):
        data = super(EventSerializer, self).to_representation(instance)
        data['availability_contract'] = AvailabilityContractGenerator(data['id']).main()
        return data
