from rest_framework.views import APIView

from api.serializers.event_division import EventDivisionSerializer
from common.build_response import build_response
from web.models import EventDivision


class EventDivisionView(APIView):
    def get(self, request):
        try:
            event_divisions = EventDivision.objects.all()
        except Exception:
            return build_response(404)

        try:
            parsed_event_divisions = []
            for event_division in event_divisions:
                parsed_event_divisions.append(
                    EventDivisionSerializer(event_division).data
                )
        except Exception:
            return build_response(422)

        return build_response(data=parsed_event_divisions)
