from django.contrib import admin
from django.urls import path, include

from api.views.event import EventView
from api.views.event_division import EventDivisionView
from api.views.event_comment import EventCommentView
from web import views


urlpatterns = [
    path('admin/', admin.site.urls),
    path('api/event/', EventView.as_view(), name='event'),
    path('api/event/<int:event_id>', EventView.as_view(), name='event'),
    path('api/event/<int:event_id>/comment/', EventCommentView.as_view(), name='event'),
    path('api/event/<int:event_id>/comment/<int:comment_id>', EventCommentView.as_view(), name='event'),
    path('api/event_division/', EventDivisionView.as_view(), name='event_division'),
    path("", views.index, name="index"),
    path("accounts/", include("django.contrib.auth.urls")),
    path("event/<int:event_id>", views.event, name="event"),
    path('change_password/', views.change_password, name='change_password'),
    path('password_change_done/', views.password_change_done, name='password_change_done')
]
