from django.contrib import admin
from django.contrib.auth.models import User
from django.db import models

from web.models.base import BaseModel
from web.models.event_division import EventDivision


class Event(BaseModel):
    id = models.AutoField(primary_key=True)
    name = models.TextField(blank=False, null=False)
    description = models.TextField(blank=False, null=False)
    division = models.ForeignKey(EventDivision, on_delete=models.CASCADE)
    start_date = models.DateTimeField(blank=False, null=False)
    end_date = models.DateTimeField(blank=False, null=False)
    submit_by_date = models.DateTimeField(blank=False, null=False)
    chosen_date = models.DateTimeField(blank=True, null=True)
    created_by = models.ForeignKey(User, on_delete=models.CASCADE)

    class Meta:
        db_table = 'events'


class EventAdmin(admin.ModelAdmin):
    list_display = ('name', 'start_date', 'end_date', 'active', 'created_by')
