from django.contrib import admin
from django.contrib.auth.models import User
from django.db import models

from web.models.base import BaseModel
from web.models.event import Event


class EventGuest(BaseModel):
    id = models.AutoField(primary_key=True)
    event = models.ForeignKey(Event, on_delete=models.CASCADE)
    guest_email = models.TextField(blank=False, null=False)
    guest_hash = models.TextField(blank=False, null=False)

    class Meta:
        db_table = 'event_guests'


class EventGuestAdmin(admin.ModelAdmin):
    list_display = ('event', 'guest_email', 'guest_hash')
