from django.contrib import admin
from django.contrib.auth.models import User
from django.db import models

from web.models.base import BaseModel
from web.models.event import Event


class SharedEvent(BaseModel):
    id = models.AutoField(primary_key=True)
    event = models.ForeignKey(Event, on_delete=models.CASCADE)
    shared_by = models.ForeignKey(User, on_delete=models.CASCADE, related_name='shared_by')
    shared_to = models.ForeignKey(User, on_delete=models.CASCADE, related_name='shared_to')

    class Meta:
        db_table = 'shared_event'


class SharedEventAdmin(admin.ModelAdmin):
    list_display = ('shared_by', 'shared_to', 'event')
